SIP

Get customer's SIP endpoints

Fetch created SIP endpoints, filtrated by given parameters. Returns data with pagination. For SIP endpoints, time period parameters filter by created_at field.

GET
/api/v1/sip/endpoints

Query Parameters

auth_types?array<>

List of authentication types, to filtrate by.

ids?array<integer>

List of SIP endpoints' unique ids.

is_active?boolean

Optional parameter for filtration. Allows to filter by is_active field.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

search?string

Optional parameter that allows to search SIP endpoints by name, description and/or username values. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in

  • "_default"
  • "id"
  • "name"
  • "description"
  • "auth"
  • "username"
  • "created_at"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in

  • "asc"
  • "desc"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/sip/endpoints" \  -H "Authorization: string"
{  "data": [    {      "auth": "ip",      "created_at": "string",      "description": "string",      "disabled_at": "string",      "id": 0,      "ip_acl": "string",      "is_active": true,      "name": "string",      "username": "string"    }  ],  "page": 0,  "page_size": 0,  "total": 0,  "total_pages": 0}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.